OCF_HEARTBEAT_IDS(7)

NAME
ocf_heartbeat_ids - Manages an Informix Dynamic Server (IDS) instance

SYNOPSIS

ids [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

OCF resource agent to manage an IBM Informix Dynamic Server (IDS) instance as an High-Availability resource.

SUPPORTED PARAMETERS

informixdir
    The value the environment variable INFORMIXDIR has after a typical installation of IDS. Or in other words: the path (without trailing '/') where IDS was installed to. If this parameter is unspecified the script will try to get the value from the shell environment.

    (optional, string, no default)

informixserver
    The value the environment variable INFORMIXSERVER has after a typical installation of IDS. Or in other words: the name of the IDS server instance to manage. If this parameter is unspecified the script will try to get the value from the shell environment.

    (optional, string, no default)

onconfig
    The value the environment variable ONCONFIG has after a typical installation of IDS. Or in other words: the name of the configuration file for the IDS instance specified in INFORMIXSERVER. The specified configuration file will be searched at '/etc/'. If this parameter is unspecified the script will try to get the value from the shell environment.

    (optional, string, no default)

dbname
    This parameter defines which database to use in order to monitor the IDS instance. If this parameter is unspecified the script will use the 'sysmaster' database as a default.

    (optional, string, default "sysmaster")

sqltestquery
    SQL test query to run on the database specified by the parameter 'dbname' in order to monitor the IDS instance and determine if it's functional or not. If this parameter is unspecified the script will use 'SELECT COUNT(*) FROM systables;' as a default.

    (optional, string, default "SELECT COUNT(*) FROM systables;")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 120s.

stop
    Stops the resource. Suggested minimum timeout: 120s.

status
    Performs a status check. Suggested minimum timeout: 60s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

methods
    Suggested minimum timeout: 5s.

usage
    Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a ids resource using the crm(8) shell:

    primitive p_ids ocf:heartbeat:ids \
      op monitor depth="0" timeout="30s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a ids resource using pcs(8)

    pcs resource create p_ids ocf:heartbeat:ids \
      op monitor depth="0" timeout="30s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)